
Cook: prosody 0.9.14
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): lua5.1-5.1.5
Installing (pkg/local): lua5.1-dev-5.1.5
Installing (pkg/local): libidn-1.33
Installing (pkg/local): libidn-dev-1.33
Installing (pkg/local): openssl-dev-1.1.0h
Installing (pkg/local): luaexpat-1.3.0
Installing (pkg/local): luasocket-2.0.2
Installing (pkg/local): luafilesystem-1.6.3
Extracting source archive "prosody-0.9.14.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk -D_GLIBCXX_USE_C99_MATH=1
LDFLAGS  : -Wl,-Os,--as-needed

Lua interpreter found: /usr/lua5.1...
Checking Lua includes... lua.h found in /usr/include/lua/5.1/lua.h
Writing configuration...

Installation prefix: /usr
Prosody configuration directory: /etc/prosody
Using Lua from: /usr

Done. You can now run 'make' to build.

sed "1s| lua$| lua5.1|; \
	s|^CFG_SOURCEDIR=.*;$|CFG_SOURCEDIR='/usr/lib/prosody';|; \
	s|^CFG_CONFIGDIR=.*;$|CFG_CONFIGDIR='/etc/prosody';|; \
	s|^CFG_DATADIR=.*;$|CFG_DATADIR='/var/lib/prosody';|; \
	s|^CFG_PLUGINDIR=.*;$|CFG_PLUGINDIR='/usr/lib/prosody/modules/';|;" < prosody > prosody.install
sed "1s| lua$| lua5.1|; \
	s|^CFG_SOURCEDIR=.*;$|CFG_SOURCEDIR='/usr/lib/prosody';|; \
	s|^CFG_CONFIGDIR=.*;$|CFG_CONFIGDIR='/etc/prosody';|; \
	s|^CFG_DATADIR=.*;$|CFG_DATADIR='/var/lib/prosody';|; \
	s|^CFG_PLUGINDIR=.*;$|CFG_PLUGINDIR='/usr/lib/prosody/modules/';|;" < prosodyctl > prosodyctl.install
sed 's|certs/|/etc/prosody/certs/|' prosody.cfg.lua.dist > prosody.cfg.lua.install
test -e .hg/dirstate && \
	hexdump -n6 -e'6/1 "%02x"' .hg/dirstate > prosody.version || true
test -f prosody.release && \
	cp prosody.release prosody.version || true
make -C util-src install
make[1]: Entering directory '/home/slitaz/wok/prosody/source/prosody-0.9.14/util-src'
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include/lua/5.1 -c -o encodings.o encodings.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include/lua/5.1 -c -o hashes.o hashes.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include/lua/5.1 -c -o net.o net.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include/lua/5.1 -c -o pposix.o pposix.c
i486-slitaz-linux-gcc -Wall -fPIC -D_GNU_SOURCE -ggdb -I/usr/include/lua/5.1 -c -o signal.o signal.c
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o signal.so signal.o -shared
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o encodings.so encodings.o -shared -lidn
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o hashes.so hashes.o -shared -lcrypto
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o net.so net.o -shared
MACOSX_DEPLOYMENT_TARGET="10.3"; export MACOSX_DEPLOYMENT_TARGET;
i486-slitaz-linux-gcc -o pposix.so pposix.o -shared
install *.so ../util/
rm net.o pposix.o signal.o
make[1]: Leaving directory '/home/slitaz/wok/prosody/source/prosody-0.9.14/util-src'
make -C certs localhost.crt example.com.crt || true
make[1]: Entering directory '/home/slitaz/wok/prosody/source/prosody-0.9.14/certs'
umask 0077 && openssl genrsa -out localhost.key 2048
sed 's,example\.com,example.com,g' openssl.cnf > example.com.cnf
umask 0077 && openssl genrsa -out example.com.key 2048
Generating RSA private key, 2048 bit long modulus
Generating RSA private key, 2048 bit long modulus
.........................................................................+.+.+
..............................................................................+.+.+
..................................++.+
e is 65537 (0x010001)
.openssl req -new -x509 -nodes -key example.com.key -days 365 \
	-sha1 -out example.com.crt -utf8 -config example.com.cnf
........................................................................................................+++
e is 65537 (0x010001)
openssl req -new -x509 -nodes -key localhost.key -days 365 \
	-sha1 -out localhost.crt -utf8 -config localhost.cnf
make[1]: Leaving directory '/home/slitaz/wok/prosody/source/prosody-0.9.14/certs'
install -d /home/slitaz/wok/prosody/install/usr/bin /home/slitaz/wok/prosody/install/etc/prosody /home/slitaz/wok/prosody/install/usr/lib/prosody/modules /home/slitaz/wok/prosody/install/usr/lib/prosody
install -m750 -d /home/slitaz/wok/prosody/install/var/lib/prosody
install -d /home/slitaz/wok/prosody/install/usr/share/man/man1
install -d /home/slitaz/wok/prosody/install/etc/prosody/certs
install -d /home/slitaz/wok/prosody/install/usr/lib/prosody/core /home/slitaz/wok/prosody/install/usr/lib/prosody/net /home/slitaz/wok/prosody/install/usr/lib/prosody/util
install -m755 ./prosody.install /home/slitaz/wok/prosody/install/usr/bin/prosody
install -m755 ./prosodyctl.install /home/slitaz/wok/prosody/install/usr/bin/prosodyctl
install -m644 core/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/core
install -m644 net/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/net
install -d /home/slitaz/wok/prosody/install/usr/lib/prosody/net/http
install -m644 net/http/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/net/http
install -m644 util/*.lua /home/slitaz/wok/prosody/install/usr/lib/prosody/util
install -m644 util/*.so /home/slitaz/wok/prosody/install/usr/lib/prosody/util
install -d /home/slitaz/wok/prosody/install/usr/lib/prosody/util/sasl
install -m644 util/sasl/* /home/slitaz/wok/prosody/install/usr/lib/prosody/util/sasl
umask 0022 && cp -r plugins/* /home/slitaz/wok/prosody/install/usr/lib/prosody/modules
install -m644 certs/* /home/slitaz/wok/prosody/install/etc/prosody/certs
install -m644 man/prosodyctl.man /home/slitaz/wok/prosody/install/usr/share/man/man1/prosodyctl.1
test -e /home/slitaz/wok/prosody/install/etc/prosody/prosody.cfg.lua || install -m644 prosody.cfg.lua.install /home/slitaz/wok/prosody/install/etc/prosody/prosody.cfg.lua
test -e prosody.version && install -m644 prosody.version /home/slitaz/wok/prosody/install/usr/lib/prosody/prosody.version || true
make install -C util-src
make[1]: Entering directory '/home/slitaz/wok/prosody/source/prosody-0.9.14/util-src'
install *.so ../util/
make[1]: Leaving directory '/home/slitaz/wok/prosody/source/prosody-0.9.14/util-src'
================================================================================

Installing (pkg/local): advancecomp-static-2.1
Compressing man pages...                                               Done
  Time: 1.42s. Size: 2960 B -> 1183 B. Save: 2 KB. Cache hit: 1/1.
================================================================================


Build dependencies to remove: 9
Removing: advancecomp-static libidn libidn-dev lua5.1 lua5.1-dev luaexpat 
luafilesystem luasocket openssl-dev


Pack: prosody 0.9.14
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 5.56s. Size: 102244 B -> 52448 B. Save: 49 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
QA: checking for empty package...                                      Done
Removing old package "prosody-0.9.14.tazpkg"                           Done
The release checksum has changed.
================================================================================
Package "prosody-0.9.14.tazpkg" created


Summary for: prosody 0.9.14
================================================================================
Src file    : prosody-0.9.14.tar.gz
Src size    : 264.0K
Source dir  : 1.8M
Produced    : 1.3M
Cook time   : 11s
Cook date   : 2018-06-17 20:25
Target arch : i486
--------------------------------------------------------------------------------
 # :  Packed : Compressed : Files : Package name
--------------------------------------------------------------------------------
 1 :    1.3M :     194.6K :   141 : prosody-0.9.14.tazpkg
================================================================================

Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Failed
Checking libtool in source/prosody-0.9.14...                           Done
Checking site script in source/prosody-0.9.14...                       Done
Checking ownership in install...                                       Done
Checking permissions in install...                                     Failed
  Problems found:
  0750 /var/lib/prosody/
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================

